Package Details: cmake-uselatex 2.4.1-1

Git Clone URL: https://aur.archlinux.org/cmake-uselatex.git (read-only)
Package Base: cmake-uselatex
Description: CMAKE commands to actually use the LaTeX compiler
Upstream URL: http://www.cmake.org/Wiki/CMakeUserUseLATEX
Licenses: GPL
Submitter: juantascon
Maintainer: juantascon
Last Packager: juantascon
Votes: 7
Popularity: 0.000003
First Submitted: 2010-03-30 14:24
Last Updated: 2017-03-21 14:12

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

cra commented on 2015-09-17 15:18

In order to make it work with the current cmake, replace the tail of the PKGBUILD as follows:
sha256sums=('c9363043f4df57d2ddfc6140be9f8420d217e50b88c8fc47337b35c50b65c9a4')

package () {
cd "$srcdir"
cmake_version=$(yaourt -Qi cmake | awk '/Version/{match($NF,"([0-9].[0-9])",t)}END{print t[1]}')
install -D UseLATEX.cmake $pkgdir/usr/share/cmake-${cmake_version}/Modules/UseLATEX.cmake || return 1
}

Gist with the PKGBUILD:
https://gist.githubusercontent.com/cra/a2e100680fb5ff4ea324/raw/3edea22b05c1298bca7c8abd0e6bc19ad514eb9c/PKGBUILD

cra commented on 2015-09-17 15:15

In order to make it work with the current cmake, replace the tail of the PKGBUILD as follows:
sha256sums=('c9363043f4df57d2ddfc6140be9f8420d217e50b88c8fc47337b35c50b65c9a4')

package () {
cd "$srcdir"
cmake_version=$(yaourt -Qi cmake | awk '/Version/{match($NF,"([0-9].[0-9])",t)}END{print t[1]}')
install -D UseLATEX.cmake $pkgdir/usr/share/cmake-${cmake_version}/Modules/UseLATEX.cmake || return 1
}

F3nr1s commented on 2015-06-28 23:09

UseLaTeX was updated to 2.0.0, please update the PKGBUILD (Version and sha1sum).
Thanks

cra commented on 2015-05-15 16:22

Since cmake was updated to 3.2, the module should be installed to the corresponding path

cra commented on 2014-07-01 08:28

Also, the installation path is wrong, since cmake was updated to v3:

It should read:
install -D UseLATEX.cmake $pkgdir/usr/share/cmake-3.0/Modules/UseLATEX.cmake || return 1

Here's the full PKGBUILD
--------------------------
# Contributor: Juan Diego Tascon
pkgname=cmake-uselatex
pkgver=1.10.5
pkgrel=1
pkgdesc="CMAKE commands to actually use the LaTeX compiler"
arch=(any)
url="http://www.cmake.org/Wiki/CMakeUserUseLATEX"
license=('GPL')
depends=(cmake)
source=(http://www.cmake.org/Wiki/images/8/80/UseLATEX.cmake)

build() {
cd "$srcdir"
install -D UseLATEX.cmake $pkgdir/usr/share/cmake-3.0/Modules/UseLATEX.cmake || return 1
}

# vim:set ts=2 sw=2 et:
md5sums=('0b862d5c52961baf663c0bab5b28fabd')

cra commented on 2014-06-30 15:52

pkgver=1.10.5
md5sums=('0b862d5c52961baf663c0bab5b28fabd')

myles commented on 2013-12-10 19:04

md5sums=('6ca2e24a82a735e02db69fd45d54dd86') ?

cra commented on 2013-12-10 14:36

pkgver=1.10.3
md5sums=('c3b9f1a3fa2adb4d609f118c433a195c')

Vasher commented on 2013-05-16 09:35

The most recent version is now 1.10.0, and since the URL is the same, the md5sum has changed, and this package no longer works (though it's easy to fix).